Index: external/fastjet/WrappedStructure.hh
===================================================================
--- external/fastjet/WrappedStructure.hh	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/fastjet/WrappedStructure.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -1,6 +1,6 @@
-//FJSTARTHEADER
-// $Id: WrappedStructure.hh 4442 2020-05-05 07:50:11Z soyez $
-//
-// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//STARTHEADER
+// $Id: WrappedStructure.hh 2577 2011-09-13 15:11:38Z salam $
+//
+// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,9 +13,7 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development. They are described in the original FastJet paper,
-//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  development and are described in hep-ph/0512210. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  quote the version you use and include a citation to the manual and
-//  optionally also to hep-ph/0512210.
+//  include a citation to the FastJet paper.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -27,5 +25,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//FJENDHEADER
+//ENDHEADER
 
 
@@ -57,5 +55,5 @@
   WrappedStructure(const SharedPtr<PseudoJetStructureBase> & to_be_shared)
     : _structure(to_be_shared){
-    if (!_structure)
+    if (!_structure())
       throw Error("Trying to construct a wrapped structure around an empty (NULL) structure");
   }
@@ -65,5 +63,5 @@
 
   /// description
-  virtual std::string description() const FASTJET_OVERRIDE{ 
+  virtual std::string description() const{ 
     return "PseudoJet wrapping the structure ("+_structure->description()+")"; 
   }
@@ -76,5 +74,5 @@
   //-------------------------------------------------------------
   /// returns true if there is an associated ClusterSequence
-  virtual bool has_associated_cluster_sequence() const FASTJET_OVERRIDE {
+  virtual bool has_associated_cluster_sequence() const {
     return _structure->has_associated_cluster_sequence();
   }
@@ -82,5 +80,5 @@
   /// get a (const) pointer to the parent ClusterSequence (NULL if
   /// inexistent)
-  virtual const ClusterSequence* associated_cluster_sequence() const FASTJET_OVERRIDE{
+  virtual const ClusterSequence* associated_cluster_sequence() const{
     return _structure->associated_cluster_sequence();
   }
@@ -88,5 +86,5 @@
   /// returns true if this PseudoJet has an associated and still
   /// valid ClusterSequence.
-  virtual bool has_valid_cluster_sequence() const FASTJET_OVERRIDE {
+  virtual bool has_valid_cluster_sequence() const {
     return _structure->has_valid_cluster_sequence();
   }
@@ -94,5 +92,5 @@
   /// if the jet has a valid associated cluster sequence then return a
   /// pointer to it; otherwise throw an error
-  virtual const ClusterSequence * validated_cs() const FASTJET_OVERRIDE{
+  virtual const ClusterSequence * validated_cs() const{
     return _structure->validated_cs();
   }
@@ -100,5 +98,5 @@
   /// if the jet has valid area information then return a pointer to
   /// the associated ClusterSequenceAreaBase object; otherwise throw an error
-  virtual const ClusterSequenceAreaBase * validated_csab() const FASTJET_OVERRIDE{
+  virtual const ClusterSequenceAreaBase * validated_csab() const{
     return _structure->validated_csab();
   }
@@ -120,5 +118,5 @@
   ///
   /// By default, throws an Error
-  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const FASTJET_OVERRIDE{
+  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const{
     return _structure->has_partner(reference, partner);
   }
@@ -129,5 +127,5 @@
   /// 
   /// By default, throws an Error
-  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const FASTJET_OVERRIDE{
+  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const{
     return _structure->has_child(reference, child);
   }
@@ -138,6 +136,5 @@
   ///
   /// By default, throws an Error
-  virtual bool has_parents(const PseudoJet &reference,
-                           PseudoJet &parent1, PseudoJet &parent2) const FASTJET_OVERRIDE{
+  virtual bool has_parents(const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const{
     return _structure->has_parents(reference, parent1, parent2);
   }
@@ -147,6 +144,5 @@
   ///
   /// By default, throws an Error
-  virtual bool object_in_jet(const PseudoJet &reference,
-                             const PseudoJet &jet) const FASTJET_OVERRIDE{
+  virtual bool object_in_jet(const PseudoJet &reference, const PseudoJet &jet) const{
     return _structure->object_in_jet(reference, jet);
   }
@@ -156,5 +152,5 @@
   ///
   /// false by default
-  virtual bool has_constituents() const  FASTJET_OVERRIDE{
+  virtual bool has_constituents() const {
     return _structure->has_constituents();
   }
@@ -163,10 +159,10 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const FASTJET_OVERRIDE{
+  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const{
     return _structure->constituents(reference);
   }
 
   /// return true if the structure supports exclusive_subjets. 
-  virtual bool has_exclusive_subjets() const  FASTJET_OVERRIDE{
+  virtual bool has_exclusive_subjets() const {
     return _structure->has_exclusive_subjets();
   }
@@ -182,6 +178,5 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference,
-                                                   const double & dcut) const FASTJET_OVERRIDE{
+  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference, const double & dcut) const{
     return _structure->exclusive_subjets(reference, dcut);
   }
@@ -192,6 +187,5 @@
   ///
   /// By default, throws an Error
-  virtual int n_exclusive_subjets(const PseudoJet &reference,
-                                  const double & dcut) const FASTJET_OVERRIDE{
+  virtual int n_exclusive_subjets(const PseudoJet &reference, const double & dcut) const{
     return _structure->n_exclusive_subjets(reference, dcut);
   }
@@ -202,6 +196,5 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference,
-                                                          int nsub) const FASTJET_OVERRIDE{
+  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const{
     return _structure->exclusive_subjets_up_to (reference, nsub);
   }
@@ -211,5 +204,5 @@
   ///
   /// By default, throws an Error
-  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE{
+  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const{
     return _structure->exclusive_subdmerge(reference, nsub);
   }
@@ -220,5 +213,5 @@
   ///
   /// By default, throws an Error
-  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE{
+  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const{
     return _structure->exclusive_subdmerge_max(reference, nsub);
   }
@@ -231,5 +224,5 @@
   ///
   /// false by default
-  virtual bool has_pieces(const PseudoJet &reference) const FASTJET_OVERRIDE {
+  virtual bool has_pieces(const PseudoJet &reference) const {
     return _structure->has_pieces(reference);
   }
@@ -238,5 +231,5 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const FASTJET_OVERRIDE {
+  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const{
     return _structure->pieces(reference);
   }
@@ -249,5 +242,5 @@
   ///
   /// false by default
-  virtual bool has_area() const FASTJET_OVERRIDE  {
+  virtual bool has_area() const {
     return _structure->has_area();
   }
@@ -256,5 +249,5 @@
   ///
   /// By default, throws an Error
-  virtual double area(const PseudoJet &reference) const FASTJET_OVERRIDE{
+  virtual double area(const PseudoJet &reference) const{
     return _structure->area(reference);
   }
@@ -264,5 +257,5 @@
   ///
   /// By default, throws an Error
-  virtual double area_error(const PseudoJet &reference) const FASTJET_OVERRIDE{
+  virtual double area_error(const PseudoJet &reference) const{
     return _structure->area_error(reference);
   }
@@ -271,5 +264,5 @@
   ///
   /// By default, throws an Error
-  virtual PseudoJet area_4vector(const PseudoJet &reference) const FASTJET_OVERRIDE{
+  virtual PseudoJet area_4vector(const PseudoJet &reference) const{
     return _structure->area_4vector(reference);
   }
@@ -278,5 +271,5 @@
   ///
   /// By default, throws an Error
-  virtual bool is_pure_ghost(const PseudoJet &reference) const FASTJET_OVERRIDE{
+  virtual bool is_pure_ghost(const PseudoJet &reference) const{
     return _structure->is_pure_ghost(reference);
   }
